LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XLevelsSupplier Interface Reference

provides access to the collection of levels of a data pilot source hierarchy. More...

`import"XLevelsSupplier.idl";`

Inheritance diagram for XLevelsSupplier:

## Public Member Functions
com::sun::star::container::XNameAccess | getLevels ()
| returns the collection of levels. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the collection of levels of a data pilot source hierarchy.

See also
  com::sun::star::sheet::DataPilotSourceHierarchy
  com::sun::star::sheet::DataPilotSource

## Member Function Documentation

## ◆ getLevels()

com::sun::star::container::XNameAccess getLevels | ( |  | ) |

returns the collection of levels.

See also
  com::sun::star::sheet::DataPilotSourceLevels

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XLevelsSupplier.idl